class URLoadingCars extends GUIPage;

var Tab_CarSettings	CarTab;

function GetCarList(out array<class<URCar> > CarArray, out array<string> CarDescriptions)
{
	local int i;
	local string Entry, Description;
	i=0;
	PlayerOwner().GetNextIntDesc("URCar", i, Entry, Description);
	while (Entry != "")
	{
		CarArray[i] = class<URCar>(DynamicLoadObject(Entry, class'Class'));
		CarDescriptions[i] = Description;
		i++;
		PlayerOwner().GetNextIntDesc("URCar", i, Entry, Description);
	}
	log("GetCarList");
}

event Timer()
{
	local int i;
	local array<class<URCar> > CarClass;
	local array<string> CarDesc;

	// Initialise car list
	GetCarList(CarClass, CarDesc);

	for(i=0; i<CarClass.Length; i++)
	{
		CarTab.MyCarList.List.Add(CarClass[i].default.CarName, CarClass[i], CarDesc[i]);
		//CarTab.MyCarList.List.Add(CarDesc[i], CarClass[i], CarDesc[i]);
	}

    CarTab.MyCarList.List.SortList();

	// Spawn spinny weapon actor
	CarTab.SpinnyCar = PlayerOwner().spawn(class'UnrealRacing.SpinnyCar');
	CarTab.SpinnyCar.SetRotation(PlayerOwner().Rotation);
	CarTab.SpinnyCar.SetStaticMesh(None);

	// Start with first item on list selected
	CarTab.MyCarList.List.SetIndex(0);
	CarTab.UpdateCurrentCar();

	CarTab.bCarPrefInitialised = true;

	CarTab = None;
	Controller.CloseMenu();
}

function StartLoad(Tab_CarSettings tab)
{
	CarTab = tab;

	// Give the menu a chance to render before doing anything...
	SetTimer(0.15);
}

defaultproperties
{
	Begin Object Class=GUIButton name=LoadCarBackground
		WinWidth=0.5
		WinHeight=1.0
		WinTop=0
		WinLeft=0.25
		bAcceptsInput=false
		bNeverFocus=true
		StyleName="SquareButton"
		bBoundToParent=true
		bScaleToParent=true
	End Object
	Controls(0)=LoadCarBackground

	Begin Object class=GUILabel Name=LoadCarText
		Caption="Loading Car Database"
		TextALign=TXTA_Center
		TextColor=(R=220,G=180,B=0,A=255)
		TextFont="UT2HeaderFont"
		WinWidth=1.000000
		WinHeight=32.000000
		WinLeft=0.000000
		WinTop=0.471667
	End Object
	Controls(1)=LoadCarText

	WinLeft=0
	WinTop=0.425
	WinWidth=1
	WinHeight=0.15
}
